Description

Might be nice if the NSIS installer had a silent mode for unattended installation.

History

#1 - 04/08/2010 11:55 PM - Luke Murphey

A silent would need to take either command-line arguments or a configuration file for the following:

e Default username
¢ Password

A silent installer should use the IfSilent function to skip message-boxes. "lfSilent +2" instructs NSIS to move two lines forward from the current line
(or skip the next line).

Furthermore, the installer should parse the required fields arguments from the command-line or out of a an ini file.
References:
e Example of silent installer creation)

e Getting a command-line argument by name in NSIS)
e Official example of a silent installer)

#2 - 11/02/2010 01:18 PM - Luke Murphey

- Category set to Installer
#3 - 08/23/2011 06:56 AM - Luke Murphey

- Status changed from New to Rejected

- Start date deleted (04/08/2010)
http://forums.winamp.com/showthread.php?threadid=292793
http://nsis.sourceforge.net/Get_command_line_parameter_by_name
http://nsis.sourceforge.net/Examples/silent.nsi
http://www.tcpdf.org

